# Interface AbiArgument

This type represents a decoded argument passed to a transaction or event, or returned from a call.

#### Category

Output

#### Hierarchy

- AbiArgument

- Defined in codec/lib/types.ts:646

#####
Index

### Properties

indexed?
name?
value

## Properties

### `Optional` indexed

indexed?: boolean

Whether this is an indexed paramter. Only included for event parameters.

- Defined in codec/lib/types.ts:654

### `Optional` name

name?: string

The name of the parameter. Excluded if the parameter is nameless.

- Defined in codec/lib/types.ts:650

### value

value: Result

The decoded value of the argument. Note that this is a [[Format.Values.Result|Format.Values.Result]], so it may contain errors (although event decodings should typically not contain errors; see the [[DecodedLog]] documentation for why).

- Defined in codec/lib/types.ts:660

Generated using TypeDoc